class repeated_sampling():
    def __init__(self, dataclass, fixed_seed=0):
        self.dataclass = dataclass
        self.fixed_seed = fixed_seed
        self.x_noise_strength = dataclass.x_noise_strength
        self.y_noise_strength = dataclass.y_noise_strength

    def __call__(self,seed=0, splitting_part=0.8, normalize=True,
            return_ground_truth=False):
        _, _, _, true_testset = self.dataclass.load_data(
                        seed=self.fixed_seed, splitting_part=splitting_part,
                        normalize=normalize,
                        return_ground_truth=return_ground_truth)
        true_x, true_y = true_testset.tensors[:2]




